Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class AbstractPaymentTypes<N extends AbstractPaymentTypes<N>>

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType
ru.bitel.bgbilling.kernel.contract.balance.common.bean.PaymentType
ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractPaymentTypes<N>

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<N>`

Direct Known Subclasses:
  `PaymentTypeItem`

public class AbstractPaymentTypes<N extends AbstractPaymentTypes<N>> extends PaymentType implements TreeNode<N>
Bean для дерева приходов/расходов в редакторе приходов/расходов и справочников .
Название, я думаю, не совсем корретно, так как этот bean используется и для типов расхода(но раз уж создано, менят пока не буду )

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.PaymentType

  `PaymentType.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

  `editable, parentId, type, TYPE_ALL, TYPE_BRANCH, TYPE_EDITABLE, TYPE_LEAF, TYPE_UNEDITABLE`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractPaymentTypes()`
  `AbstractPaymentTypes(BalanceBaseType baseType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(N child)`
  `N[]`
  `findCodePath(int pid)`
  `List<N>`
  `getChildren()`
  `boolean`
  `isEmpty()`
  `void`
  `removeChild(N child)`
  `void`
  `setChildren(List<N> children)`
  `void`
  `sortByTitle()`
  `protected void`
  `sortChildren()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.PaymentType

  `builder`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

  `getEditable, getParentId, getType, setEditable, setParentId, setType`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AbstractPaymentTypes

    public AbstractPaymentTypes()

  - ### AbstractPaymentTypes

    public AbstractPaymentTypes(BalanceBaseType baseType)

- ## Method Details

  - ### getChildren

    public List<N> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<N extends AbstractPaymentTypes<N>>`

  - ### setChildren

    public void setChildren(List<N> children)

  - ### isEmpty

    public boolean isEmpty()

  - ### addChild

    public void addChild(N child)

  - ### removeChild

    public void removeChild(N child)

  - ### findCodePath

    public N[] findCodePath(int pid)

  - ### sortByTitle

    public void sortByTitle()

  - ### sortChildren

    protected void sortChildren()